"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const Box = require("../../core/Box/Box.cjs");
const factory = require("../../core/factory/factory.cjs");
const defaultProps = {};
const Space = factory.factory((props, ref) => {
  const { w, h, miw, mih, ...others } = useProps.useProps("Space", defaultProps, props);
  return /* @__PURE__ */ jsxRuntime.jsx(Box.Box, { ref, ...others, w, miw: miw ?? w, h, mih: mih ?? h });
});
Space.displayName = "@mantine/core/Space";
exports.Space = Space;
